develooper Front page | perl.perl5.porters | Postings from May 2021

Re: use v5.36; use warnings;

Thread Previous
From:
Dan Book
Date:
May 28, 2021 23:07
Subject:
Re: use v5.36; use warnings;
Message ID:
CABMkAVXq_xWDM=4NCSvnoMJMOL+ppGkpYZ_-xV1YpbPS1KHVjg@mail.gmail.com
On Fri, May 28, 2021 at 6:58 PM Joseph Brenner <doomvox@gmail.com> wrote:

> I like enabling use warnings when you say "use vX", but I also think
> it needs to be easy to shut them off even when you want all the other
> "use vX" features-- there's an old Randal Schwartz recommendation to
> always disable warnings in production code, because new ones may pop
> up on perl upgrade.
>

"no warnings" has always been easy. You can also "use feature ':5.36';" if
you want the feature bundle and not the strictures.

-Dan

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About